Subject: Calculating signature over private key

From: <[email-masked]>
Date: Mon, 15 Aug 2005 18:04:49 +0300 (EEST)

I am calculating a signature over private keypair. How the data to be
signed differs from the public key? Are the fields: Salt, Initial vector,
Coded count, encrypted dsa x, encrypted sha1 hash (20 octets) included to
the signed data? Can someone clarify this?

---

From: [email-masked] ("Hal Finney")
Date: Mon, 15 Aug 2005 20:44:17 -0700 (PDT)

> the signed data? Can someone clarify this?

OpenPGP does not support the notion of calculating a signature over a
private keypair.

Generally a signature is done on a public key as part of a certification
of that key that will be publicly available.  Signing a private key
would not be useful because the private key material is normally not
shared with others, so signature verification would be impossible.

Hal